# SNESDefaultSolutionBC

The default boundary condition function which does nothing.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESDefaultSolutionBC(SNES snes, Vec sol, void *ctx)

Not collective

### Input Parameters

snes -The nonlinear solver context
sol -The solution
ctx -The user-context

### Keywords

SNES, solution, boundary conditions

### See Also

SNESSetSolutionBC(), SNESDefaultRhsBC(), SNESDefaultUpdate()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages